Bug kernel 2.6.35 su Ubuntu Lucid

febbraio 6, 2011 No Comments »




Molti utenti di Ubuntu preferiscono la stabilità delle LTS alle versioni più sperimentali del noto sistema operativo open source.

L’ultimo rilascio LTS, come saprete, è Ubuntu 10.04 (Lucid Lynx) e usa di default il kernel 2.6.32 che , per quanto stabile, non sopperisce alle eventuali esigenze di innovazione del “parco” driver contenute nel più recente 2.6.35 (in dotazione a Maverick).

Come molti ho pensato di utilizzare il nuovo kernel su Lucid riscontrando però un fastidioso bug!

Il malefico bug si presenta così:

Questo è l’errore all’avvio:

e questo è il risultato di dmesg:

ramzswap: module is from the staging directory, the quality is unknown, you have been warned.
ramzswap: Unknown parameter `disksize_kb'

L’effetto riscontrato è che sia l’azione di Suspend che di Ibernate funzionano a metà, o per niente, suscitando in ogni caso una mostruosa sequenza di improperi da parte dell’utente!

Dopo qualche ricerca ho scoperto che si può risolvere facilmente aggiornando il pacchetto initramfs-tool alla versione 0.98 che è utilizzata in maverick(lucid usa la 0.92)

Ho inoltre scoperto che qualcuno aveva già backportato questo pacchetto per Lucid e inserito nel suo repository.

Con la gentile concessione di Guiodic (sentiti ringraziamenti XD) vi propongo di aggiungere il suo repository aggiornare il pacchetto e dimenticarvi per sempre(si spera) dell’odiato bug!

Aggiungete il repository con questi comandi:

sudo add-apt-repository ppa:guido-iodice/guiodiclucid
sudo apt-get update

ora aprite il vostro gestore di pacchetti synaptic e cercate il pacchetto initramfs-tool e marcatelo per l’aggiornamento.(con le opportune dipendenze)
A questo punto disattivate il repository (a meno che non vogliate usufruirne ancora).

Ti potrebbe interessare anche